package com.huiju.welcome.controller;

import com.huiju.welcome.common.base.BaseController;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.model.TaGoodsOrders;
import com.huiju.welcome.service.ITaGoodsOrdersService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
    *  前端控制器
    * </p>
 *
 * @author jobob
 * @since 2019-07-16
 */
@RestController
@RequestMapping("/")
public class TaGoodsOrdersController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(TaGoodsOrdersController.class);

    @Autowired
    public ITaGoodsOrdersService iTaGoodsOrdersService;


    /**
     * 保存对象
     * @param taGoodsOrders 实体对象
     * @return
     */
    @RequestMapping(value="/taGoodsOrders/add",method= RequestMethod.POST)
    public ResponseBean tpShopImgAdd(@RequestBody TaGoodsOrders taGoodsOrders){
        ResponseBean responseBean = new ResponseBean();
        try {
            if (iTaGoodsOrdersService.save(taGoodsOrders)){
                responseBean.addSuccess("success");
            }else {
                responseBean.addError("fail");
            }
        }catch (Exception e){
            logger.error("taGoodsOrdersAdd -=- {}",e.toString());
            responseBean.addError(e.getMessage());
        }
        return responseBean;
    }

    /**
     * 根据id删除对象
     * @param id  实体ID
     */
    @ResponseBody
    @RequestMapping(value="/taGoodsOrders/delete/{id}", method= RequestMethod.DELETE)
    public ResponseBean taGoodsOrdersDelete(@PathVariable Integer id){
        ResponseBean responseBean = new ResponseBean();
        try {
            if(iTaGoodsOrdersService.removeById(id)){
                responseBean.addSuccess("success");
            }else {
                responseBean.addError("fail");
            }
        }catch (Exception e){
            logger.error("taGoodsOrdersDelete -=- {}",e.toString());
            responseBean.addError(e.getMessage());
        }
        return responseBean;
    }

    /**
     * 修改对象
     * @param taGoodsOrders 实体对象
     * @return
     */
    @RequestMapping(value="/taGoodsOrders/update",method= RequestMethod.PUT)
    public ResponseBean tpShopImgUpdate(@RequestBody TaGoodsOrders taGoodsOrders){
        ResponseBean responseBean = new ResponseBean();
        try {
            if (iTaGoodsOrdersService.updateById(taGoodsOrders)){
                responseBean.addSuccess("success");
            }else {
                responseBean.addError("fail");
            }
        }catch (Exception e){
            logger.error("taGoodsOrdersUpdate -=- {}",e.toString());
            responseBean.addError(e.getMessage());
        }
        return responseBean;
    }

    /**
     * 根据id查询对象
     * @param id  实体ID
     */
    @RequestMapping(value="/taGoodsOrders/get/{id}",method= RequestMethod.GET)
    public ResponseBean tpShopImgGet(@PathVariable Integer id){
        ResponseBean responseBean = new ResponseBean();
        try {
            responseBean.addSuccess(iTaGoodsOrdersService.getById(id));
        }catch (Exception e){
            logger.error("taGoodsOrdersDelete -=- {}",e.toString());
            responseBean.addError(e.getMessage());
        }
        return responseBean;
    }
}
